Moderate CentOS ntp Security Update

Metadata

high
7.8
ntp-4.2.6p5-10.el6.centos.i686.rpm, ntp-4.2.6p5-10.el6.centos.x86_64.rpm, ntp-doc-4.2.6p5-10.el6.centos.noarch.rpm, ntp-perl-4.2.6p5-10.el6.centos.i686.rpm, ntp-perl-4.2.6p5-10.el6.centos.x86_64.rpm, ntpdate-4.2.6p5-10.el6.centos.i686.rpm, ntpdate-4.2.6p5-10.el6.centos.x86_64.rpm
CVE-2015-5194, CVE-2015-5195, CVE-2015-5219, CVE-2015-7691, CVE-2015-7692, CVE-2015-7701, CVE-2015-7702, CVE-2015-7703, CVE-2015-7852, CVE-2015-7977, CVE-2015-7978
rhn.redhat.com, lists.centos.org
2016-05-16
2017-08-15 17:37
ALAS-2016-649
ALAS-2015-593
ALAS-2015-607
Moderate CentOS ntp Security Update
CVE-2015-7977 ntp
CVE-2015-7691 ntp
CVE-2015-7702 ntp
CVE-2015-7852 ntp
CVE-2015-7692 ntp
CVE-2015-7703 ntp
CVE-2015-5194 ntp
CVE-2015-7701 ntp
CVE-2015-5195 ntp
CVE-2015-7978 ntp
CVE-2015-5219 ntp
CVE-2015-7691
CVE-2015-7978
CVE-2015-5219
CVE-2015-7702
CVE-2015-5194
CVE-2015-7977
CVE-2015-7703
CVE-2015-7701
CVE-2015-5195
CVE-2015-7852
CVE-2015-7692
2017-07-31 21:37
2017-07-27 19:11
2017-04-01 19:09
2017-01-05 20:14

Description


An update for ntp is now available for Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

The Network Time Protocol (NTP) is used to synchronize a computer's time with another referenced time source. These packages include the ntpd service which continuously adjusts system time and utilities used to query and configure the ntpd service.

Security Fix(es):

* It was found that the fix for CVE-2014-9750 was incomplete: three issues were found in the value length checks in NTP's ntp_crypto.c, where a packet with particular autokey operations that contained malicious data was not always being completely validated. A remote attacker could use a specially crafted NTP packet to crash ntpd. (CVE-2015-7691, CVE-2015-7692, CVE-2015-7702)

* A memory leak flaw was found in ntpd's CRYPTO_ASSOC. If ntpd was configured to use autokey authentication, an attacker could send packets to ntpd that would, after several days of ongoing attack, cause it to run out of memory. (CVE-2015-7701)

* An off-by-one flaw, leading to a buffer overflow, was found in cookedprint functionality of ntpq. A specially crafted NTP packet could potentially cause ntpq to crash. (CVE-2015-7852)

* A NULL pointer dereference flaw was found in the way ntpd processed 'ntpdc reslist' commands that queried restriction lists with a large amount of entries. A remote attacker could potentially use this flaw to crash ntpd. (CVE-2015-7977)

* A stack-based buffer overflow flaw was found in the way ntpd processed 'ntpdc reslist' commands that queried restriction lists with a large amount of entries. A remote attacker could use this flaw to crash ntpd. (CVE-2015-7978)

* It was found that ntpd could crash due to an uninitialized variable when processing malformed logconfig configuration commands. (CVE-2015-5194)

* It was found that ntpd would exit with a segmentation fault when a statistics type that was not enabled during compilation (e.g. timingstats) was referenced by the statistics or filegen configuration command. (CVE-2015-5195)

* It was discovered that the sntp utility could become unresponsive due to being caught in an infinite loop when processing a crafted NTP packet. (CVE-2015-5219)

* It was found that NTP's :config command could be used to set the pidfile and driftfile paths without any restrictions. A remote attacker could use this flaw to overwrite a file on the file system with a file containing the pid of the ntpd process (immediately) or the current estimated drift of the system clock (in hourly intervals). (CVE-2015-7703)

The CVE-2015-5219 and CVE-2015-7703 issues were discovered by Miroslav Lichvár (Red Hat).

For detailed information on changes in this release, see the Red Hat Enterprise Linux 6.8 Release Notes and Red Hat Enterprise Linux 6.8 Technical Notes linked from the References section.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
6 ntp ntp-4.2.6p5-10.el6.centos.i686.rpm
ntp ntp-4.2.6p5-10.el6.centos.x86_64.rpm
ntpdate ntpdate-4.2.6p5-10.el6.centos.i686.rpm
ntpdate ntpdate-4.2.6p5-10.el6.centos.x86_64.rpm
ntp-doc ntp-doc-4.2.6p5-10.el6.centos.noarch.rpm
ntp-perl ntp-perl-4.2.6p5-10.el6.centos.i686.rpm
ntp-perl ntp-perl-4.2.6p5-10.el6.centos.x86_64.rpm